Bug 31157 - univention-add-app should be able to install the newest version of an app
univention-add-app should be able to install the newest version of an app
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Update - univention-updater
UCS 3.1
Other Linux
: P5 enhancement (vote)
: UCS 3.1-1-errata
Assigned To: Dirk Wiesenthal
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-24 11:05 CEST by Dirk Wiesenthal
Modified: 2013-05-16 13:35 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2013-04-24 11:05:29 CEST
Currently the repository name has to be passed to univention-add-app:

univention-add-app ucc_20130118

It may be useful for scripting and testing to support passing the app id and tell that you want the newest version available

univention-add-app ucc --latest

It is is a python script already, this should be fairly easy to implement.
Comment 1 Dirk Wiesenthal univentionstaff 2013-04-29 14:28:51 CEST
Fixed in (3.1-2):
  univention-updater 8.0.80-1.1176.201304291424
and (errata3.1-1):
  univention-updater 8.0.78-3.1177.201304291427

Changelog updated, YAML created.

New switch:
  univention-add-app ucc --all --latest -> installs ucc_20130429
  univention-add-app ucc --latest -> adds latest component
Comment 2 Felix Botner univentionstaff 2013-05-16 10:58:17 CEST
OK

-> univention-add-app asterisk4ucs
-> more /etc/apt/sources.list.d/20_ucs-online-component.list | grep aster
...-repository/3.1/maintained/component/ asterisk4ucs/all/
...-repository/3.1/maintained/component/ asterisk4ucs/amd64/

-> univention-add-app asterisk4ucs
-> more /etc/apt/sources.list.d/20_ucs-online-component.list | grep aster
...-repository/3.1/maintained/component/ asterisk4ucs_20130304/all/
...repository/3.1/maintained/component/ asterisk4ucs_20130304/amd64/

Installation with "-a" still works.

OK - errata3.1-1
OK - YAML

OK - ucs3.1-2
OK - changelog
Comment 3 Janek Walkenhorst univentionstaff 2013-05-16 13:35:49 CEST
http://errata.univention.de/ucs/3.1/95.html